GNU bug report logs - #43689
Try to solve avoiding helm-mode turned on in key series buttons

Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.

Package: hyperbole; Reported by: Jean Louis <bugs@HIDDEN>; Keywords: confirmed; dated Tue, 29 Sep 2020 05:53:02 UTC; Maintainer for hyperbole is bug-hyperbole@HIDDEN.
Added tag(s) confirmed. Request was from Mats Lidell <matsl@HIDDEN> to control <at> debbugs.gnu.org. Full text available.

Message received at 43689 <at> debbugs.gnu.org:


Received: (at 43689) by debbugs.gnu.org; 1 Oct 2020 01:49:10 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Wed Sep 30 21:49:10 2020
Received: from localhost ([127.0.0.1]:33479 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1kNniY-00066R-4x
	for submit <at> debbugs.gnu.org; Wed, 30 Sep 2020 21:49:10 -0400
Received: from eggs.gnu.org ([209.51.188.92]:38316)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <rsw@HIDDEN>) id 1kNniV-00066C-QM
 for 43689 <at> debbugs.gnu.org; Wed, 30 Sep 2020 21:49:09 -0400
Received: from fencepost.gnu.org ([2001:470:142:3::e]:46279)
 by eggs.gnu.org with esmtp (Exim 4.90_1)
 (envelope-from <rsw@HIDDEN>) id 1kNniQ-00033N-G5
 for 43689 <at> debbugs.gnu.org; Wed, 30 Sep 2020 21:49:02 -0400
Received: from mail-lf1-f45.google.com ([209.85.167.45]:34293)
 by fencepost.gnu.org with esmtpsa (TLS1.2:RSA_AES_128_CBC_SHA1:128)
 (Exim 4.82) (envelope-from <rsw@HIDDEN>) id 1kNniP-0001cv-P6
 for 43689 <at> debbugs.gnu.org; Wed, 30 Sep 2020 21:49:02 -0400
Received: by mail-lf1-f45.google.com with SMTP id u8so4562232lff.1
 for <43689 <at> debbugs.gnu.org>; Wed, 30 Sep 2020 18:49:01 -0700 (PDT)
X-Gm-Message-State: AOAM530xT6xG4izKqkWFiM6TYBRLNw05r+39XE6KPYUuryzVCsmto17h
 KLPbBn26lbHAqnjrasgxdF9/8sseO93GbpgcfC4=
X-Google-Smtp-Source: ABdhPJzbqfqOP6aw1HkQiSE8t4+q5JTFA2bEfYzItj+a+cE34uB4sfMXtkH2uU5PgR/Kb51arxIII0Jpfygo2BHJBRE=
X-Received: by 2002:a19:89d7:: with SMTP id l206mr1953461lfd.110.1601516940368; 
 Wed, 30 Sep 2020 18:49:00 -0700 (PDT)
MIME-Version: 1.0
References: <courier.000000005F72CB5A.00005B89@HIDDEN>
 <CA+OMD9hZNQa_ktAhgqqEEk_XmxKb6mq9ji=WMuyiV-RGXwjhkg@HIDDEN>
 <20200930093856.GT18070@HIDDEN>
In-Reply-To: <20200930093856.GT18070@HIDDEN>
From: Robert Weiner <rsw@HIDDEN>
Date: Wed, 30 Sep 2020 21:48:34 -0400
X-Gmail-Original-Message-ID: <CA+OMD9hU6v1dZWJ_2muVD_v+1qGn=6dCWUxEy+Zc130KR4wKjw@HIDDEN>
Message-ID: <CA+OMD9hU6v1dZWJ_2muVD_v+1qGn=6dCWUxEy+Zc130KR4wKjw@HIDDEN>
Subject: Re: bug#43689: Try to solve avoiding helm-mode turned on in key
 series buttons
To: Jean Louis <bugs@HIDDEN>
Content-Type: multipart/alternative; boundary="00000000000055230705b0923828"
X-Spam-Score: 0.2 (/)
X-Debbugs-Envelope-To: 43689
Cc: 43689 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Reply-To: rswgnu@HIDDEN
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

--00000000000055230705b0923828
Content-Type: text/plain; charset="UTF-8"

You are right.  I can replicate the same misbehavior here.
Maybe it is some interaction with newer Emacs.  We will have to work on it.

Thanks for the report.

Bob


On Wed, Sep 30, 2020 at 5:39 AM Jean Louis <bugs@HIDDEN> wrote:

> * Robert Weiner <rsw@HIDDEN> [2020-09-30 03:57]:
> > This was fixed in release 7.1.3.  Update and try again.
> >
> > Bob
> >
> > On Tue, Sep 29, 2020 at 1:53 AM Jean Louis <bugs@HIDDEN> wrote:
> >
> > > I have noticed that when I have {M-x helm-mode} turned on, that
> > > majority of key series with M-x does not work: {M-x apropos RET
> hyperbole RET}
>
> No, it is not working.
>
> If I disable helm mode, I get this:
>
> Type RET on a type label to view its full documentation.
>
> Hyperbole
>   Properties: event-symbol-element-mask event-symbol-elements
>               modifier-cache
> helm-info-hyperbole
>   Command: Predefined helm for hyperbole info.
>   Properties: function-documentation
> ...
>
> If I enable helm mode, all I get is this:
>
> M-x (while prompting me to enter something)
>

--00000000000055230705b0923828
Content-Type: text/html; charset="UTF-8"
Content-Transfer-Encoding: quoted-printable

<div dir=3D"ltr"><div class=3D"gmail_default" style=3D"font-family:monospac=
e,monospace">You are right.=C2=A0 I can replicate the same misbehavior here=
.</div><div class=3D"gmail_default" style=3D"font-family:monospace,monospac=
e">Maybe it is some interaction with newer Emacs.=C2=A0 We will have to wor=
k on it.</div><div class=3D"gmail_default" style=3D"font-family:monospace,m=
onospace"><br></div><div class=3D"gmail_default" style=3D"font-family:monos=
pace,monospace">Thanks for the report.</div><div class=3D"gmail_default" st=
yle=3D"font-family:monospace,monospace"><br></div><div class=3D"gmail_defau=
lt" style=3D"font-family:monospace,monospace">Bob</div><div class=3D"gmail_=
default" style=3D"font-family:monospace,monospace"><br></div></div><br><div=
 class=3D"gmail_quote"><div dir=3D"ltr" class=3D"gmail_attr">On Wed, Sep 30=
, 2020 at 5:39 AM Jean Louis &lt;bugs@HIDDEN&gt; wrote:<br></div><bloc=
kquote class=3D"gmail_quote" style=3D"margin:0px 0px 0px 0.8ex;border-left:=
1px solid rgb(204,204,204);padding-left:1ex">* Robert Weiner &lt;<a href=3D=
"mailto:rsw@HIDDEN" target=3D"_blank">rsw@HIDDEN</a>&gt; [2020-09-30 03:5=
7]:<br>
&gt; This was fixed in release 7.1.3.=C2=A0 Update and try again.<br>
&gt; <br>
&gt; Bob<br>
&gt; <br>
&gt; On Tue, Sep 29, 2020 at 1:53 AM Jean Louis &lt;bugs@HIDDEN&gt; wr=
ote:<br>
&gt; <br>
&gt; &gt; I have noticed that when I have {M-x helm-mode} turned on, that<b=
r>
&gt; &gt; majority of key series with M-x does not work: {M-x apropos RET h=
yperbole RET}<br>
<br>
No, it is not working.<br>
<br>
If I disable helm mode, I get this:<br>
<br>
Type RET on a type label to view its full documentation.<br>
<br>
Hyperbole<br>
=C2=A0 Properties: event-symbol-element-mask event-symbol-elements<br>
=C2=A0 =C2=A0 =C2=A0 =C2=A0 =C2=A0 =C2=A0 =C2=A0 modifier-cache<br>
helm-info-hyperbole<br>
=C2=A0 Command: Predefined helm for hyperbole info.<br>
=C2=A0 Properties: function-documentation<br>
...<br>
<br>
If I enable helm mode, all I get is this:<br>
<br>
M-x (while prompting me to enter something)<br>
</blockquote></div>

--00000000000055230705b0923828--




Information forwarded to bug-hyperbole@HIDDEN:
bug#43689; Package hyperbole. Full text available.

Message received at 43689 <at> debbugs.gnu.org:


Received: (at 43689) by debbugs.gnu.org; 30 Sep 2020 09:39:11 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Wed Sep 30 05:39:11 2020
Received: from localhost ([127.0.0.1]:58255 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1kNYZq-0006dA-RB
	for submit <at> debbugs.gnu.org; Wed, 30 Sep 2020 05:39:11 -0400
Received: from stw1.rcdrun.com ([217.170.207.13]:50387)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <bugs@HIDDEN>) id 1kNYZo-0006cu-GW
 for 43689 <at> debbugs.gnu.org; Wed, 30 Sep 2020 05:39:09 -0400
Received: from localhost ([::ffff:197.157.34.183])
 (AUTH: PLAIN securesender, TLS: TLS1.2,256bits,ECDHE_RSA_AES_256_GCM_SHA384)
 by stw1.rcdrun.com with ESMTPSA
 id 00000000000EFC99.000000005F745235.000019A4; Wed, 30 Sep 2020 02:39:00 -0700
Date: Wed, 30 Sep 2020 12:38:56 +0300
From: Jean Louis <bugs@HIDDEN>
To: rswgnu@HIDDEN
Subject: Re: bug#43689: Try to solve avoiding helm-mode turned on in key
 series buttons
Message-ID: <20200930093856.GT18070@HIDDEN>
References: <courier.000000005F72CB5A.00005B89@HIDDEN>
 <CA+OMD9hZNQa_ktAhgqqEEk_XmxKb6mq9ji=WMuyiV-RGXwjhkg@HIDDEN>
Mime-Version: 1.0
Content-Type: text/plain; charset=utf-8
Content-Transfer-Encoding: 7bit
Content-Disposition: inline
In-Reply-To: <CA+OMD9hZNQa_ktAhgqqEEk_XmxKb6mq9ji=WMuyiV-RGXwjhkg@HIDDEN>
User-Agent: Mutt/1.14.0 (2020-05-02)
X-Spam-Score: -0.0 (/)
X-Debbugs-Envelope-To: 43689
Cc: 43689 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

* Robert Weiner <rsw@HIDDEN> [2020-09-30 03:57]:
> This was fixed in release 7.1.3.  Update and try again.
> 
> Bob
> 
> On Tue, Sep 29, 2020 at 1:53 AM Jean Louis <bugs@HIDDEN> wrote:
> 
> > I have noticed that when I have {M-x helm-mode} turned on, that
> > majority of key series with M-x does not work: {M-x apropos RET hyperbole RET}

No, it is not working.

If I disable helm mode, I get this:

Type RET on a type label to view its full documentation.

Hyperbole
  Properties: event-symbol-element-mask event-symbol-elements
              modifier-cache
helm-info-hyperbole
  Command: Predefined helm for hyperbole info.
  Properties: function-documentation
...

If I enable helm mode, all I get is this:

M-x (while prompting me to enter something)




Information forwarded to bug-hyperbole@HIDDEN:
bug#43689; Package hyperbole. Full text available.

Message received at 43689 <at> debbugs.gnu.org:


Received: (at 43689) by debbugs.gnu.org; 30 Sep 2020 00:56:40 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue Sep 29 20:56:40 2020
Received: from localhost ([127.0.0.1]:57588 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1kNQQB-0005qE-QE
	for submit <at> debbugs.gnu.org; Tue, 29 Sep 2020 20:56:40 -0400
Received: from eggs.gnu.org ([209.51.188.92]:47862)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <rsw@HIDDEN>) id 1kNQQ8-0005q1-Or
 for 43689 <at> debbugs.gnu.org; Tue, 29 Sep 2020 20:56:37 -0400
Received: from fencepost.gnu.org ([2001:470:142:3::e]:51430)
 by eggs.gnu.org with esmtp (Exim 4.90_1)
 (envelope-from <rsw@HIDDEN>) id 1kNQQ3-0002VG-Ej
 for 43689 <at> debbugs.gnu.org; Tue, 29 Sep 2020 20:56:31 -0400
Received: from mail-lf1-f46.google.com ([209.85.167.46]:34808)
 by fencepost.gnu.org with esmtpsa (TLS1.2:RSA_AES_128_CBC_SHA1:128)
 (Exim 4.82) (envelope-from <rsw@HIDDEN>) id 1kNQQ2-0007Cr-19
 for 43689 <at> debbugs.gnu.org; Tue, 29 Sep 2020 20:56:30 -0400
Received: by mail-lf1-f46.google.com with SMTP id u8so92631lff.1
 for <43689 <at> debbugs.gnu.org>; Tue, 29 Sep 2020 17:56:29 -0700 (PDT)
X-Gm-Message-State: AOAM530TTL28UMjjt+l5+/xsAoCoHUk+G3aTp3Lnfd23a2n3eAq4sTfY
 TToXgRzA5HibQbONF1xsk5OrcpSSfbuoLQPqYdY=
X-Google-Smtp-Source: ABdhPJzcqNUjPCmoSZZiqk8/ZqI2L99akm5YdkZCUTINBINu8vgHlDsKZEgDW1bNHXp4DQiTobldUJCR9I40nvK/sAA=
X-Received: by 2002:a19:ca59:: with SMTP id h25mr2307867lfj.396.1601427388877; 
 Tue, 29 Sep 2020 17:56:28 -0700 (PDT)
MIME-Version: 1.0
References: <courier.000000005F72CB5A.00005B89@HIDDEN>
In-Reply-To: <courier.000000005F72CB5A.00005B89@HIDDEN>
From: Robert Weiner <rsw@HIDDEN>
Date: Tue, 29 Sep 2020 20:56:03 -0400
X-Gmail-Original-Message-ID: <CA+OMD9hZNQa_ktAhgqqEEk_XmxKb6mq9ji=WMuyiV-RGXwjhkg@HIDDEN>
Message-ID: <CA+OMD9hZNQa_ktAhgqqEEk_XmxKb6mq9ji=WMuyiV-RGXwjhkg@HIDDEN>
Subject: Re: bug#43689: Try to solve avoiding helm-mode turned on in key
 series buttons
To: Jean Louis <bugs@HIDDEN>
Content-Type: multipart/alternative; boundary="000000000000a5d0cf05b07d5ebb"
X-Spam-Score: 0.2 (/)
X-Debbugs-Envelope-To: 43689
Cc: 43689 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Reply-To: rswgnu@HIDDEN
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

--000000000000a5d0cf05b07d5ebb
Content-Type: text/plain; charset="UTF-8"

This was fixed in release 7.1.3.  Update and try again.

Bob

On Tue, Sep 29, 2020 at 1:53 AM Jean Louis <bugs@HIDDEN> wrote:

> I have noticed that when I have {M-x helm-mode} turned on, that
> majority of key series with M-x does not work: {M-x apropos RET hyperbole
> RET}
>
> I think there are various completion systems, in general Emacs should
> have standard variable that is recognizing if other completion system
> is used or not. Maybe it has. Then such variable could be used to
> programmatically fallback to Emacs standard completion, or return it
> back to whatever completion system was used.
>
> Hyperbole should recognize if disturbing completion system is used,
> and it could temporarily turn it off, provide the key series and turn
> on back what it was.
>
> I use:  Editor:      GNU Emacs 28.0.50 (build 15, x86_64-pc-linux-gnu, X
> toolkit, cairo version 1.14.8, Xaw3d scroll bars)
>
>         Hyperbole:   7.1.2
>         Sys Type:    x86_64-pc-linux-gnu
>         OS Type:     gnu/linux
>         Window Sys:  x
>         News Reader: Gnus v5.13
>
>
>
> _______________________________________________
> Bug-hyperbole mailing list
> Bug-hyperbole@HIDDEN
> https://lists.gnu.org/mailman/listinfo/bug-hyperbole
>

--000000000000a5d0cf05b07d5ebb
Content-Type: text/html; charset="UTF-8"
Content-Transfer-Encoding: quoted-printable

<div dir=3D"ltr"><div class=3D"gmail_default" style=3D"font-family:monospac=
e,monospace">This was fixed in release 7.1.3.=C2=A0 Update and try again.</=
div><div class=3D"gmail_default" style=3D"font-family:monospace,monospace">=
<br></div><div class=3D"gmail_default" style=3D"font-family:monospace,monos=
pace">Bob</div></div><br><div class=3D"gmail_quote"><div dir=3D"ltr" class=
=3D"gmail_attr">On Tue, Sep 29, 2020 at 1:53 AM Jean Louis &lt;bugs@HIDDEN=
port&gt; wrote:<br></div><blockquote class=3D"gmail_quote" style=3D"margin:=
0px 0px 0px 0.8ex;border-left:1px solid rgb(204,204,204);padding-left:1ex">=
I have noticed that when I have {M-x helm-mode} turned on, that<br>
majority of key series with M-x does not work: {M-x apropos RET hyperbole R=
ET}<br>
<br>
I think there are various completion systems, in general Emacs should<br>
have standard variable that is recognizing if other completion system<br>
is used or not. Maybe it has. Then such variable could be used to<br>
programmatically fallback to Emacs standard completion, or return it<br>
back to whatever completion system was used.<br>
<br>
Hyperbole should recognize if disturbing completion system is used,<br>
and it could temporarily turn it off, provide the key series and turn<br>
on back what it was. <br>
<br>
I use:=C2=A0 Editor:=C2=A0 =C2=A0 =C2=A0 GNU Emacs 28.0.50 (build 15, x86_6=
4-pc-linux-gnu, X toolkit, cairo version 1.14.8, Xaw3d scroll bars)<br>
<br>
=C2=A0 =C2=A0 =C2=A0 =C2=A0 Hyperbole:=C2=A0 =C2=A07.1.2<br>
=C2=A0 =C2=A0 =C2=A0 =C2=A0 Sys Type:=C2=A0 =C2=A0 x86_64-pc-linux-gnu<br>
=C2=A0 =C2=A0 =C2=A0 =C2=A0 OS Type:=C2=A0 =C2=A0 =C2=A0gnu/linux<br>
=C2=A0 =C2=A0 =C2=A0 =C2=A0 Window Sys:=C2=A0 x<br>
=C2=A0 =C2=A0 =C2=A0 =C2=A0 News Reader: Gnus v5.13<br>
<br>
<br>
<br>
_______________________________________________<br>
Bug-hyperbole mailing list<br>
<a href=3D"mailto:Bug-hyperbole@HIDDEN" target=3D"_blank">Bug-hyperbole@gn=
u.org</a><br>
<a href=3D"https://lists.gnu.org/mailman/listinfo/bug-hyperbole" rel=3D"nor=
eferrer" target=3D"_blank">https://lists.gnu.org/mailman/listinfo/bug-hyper=
bole</a><br>
</blockquote></div>

--000000000000a5d0cf05b07d5ebb--




Information forwarded to bug-hyperbole@HIDDEN:
bug#43689; Package hyperbole. Full text available.

Message received at submit <at> debbugs.gnu.org:


Received: (at submit) by debbugs.gnu.org; 29 Sep 2020 05:52:06 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue Sep 29 01:52:06 2020
Received: from localhost ([127.0.0.1]:54655 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1kN8YY-0000QB-9k
	for submit <at> debbugs.gnu.org; Tue, 29 Sep 2020 01:52:06 -0400
Received: from lists.gnu.org ([209.51.188.17]:37476)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <admin@HIDDEN>) id 1kN8YW-0000Q2-UL
 for submit <at> debbugs.gnu.org; Tue, 29 Sep 2020 01:52:05 -0400
Received: from eggs.gnu.org ([2001:470:142:3::10]:35656)
 by lists.gnu.org with esmtps (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <admin@HIDDEN>)
 id 1kN8YW-0003iT-M3
 for bug-hyperbole@HIDDEN; Tue, 29 Sep 2020 01:52:04 -0400
Received: from stw1.rcdrun.com ([217.170.207.13]:37853)
 by eggs.gnu.org with esmtps (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <admin@HIDDEN>)
 id 1kN8YV-0005c3-0B
 for bug-hyperbole@HIDDEN; Tue, 29 Sep 2020 01:52:04 -0400
Received: from protected.rcdrun.com ([::ffff:41.210.141.134])
 (AUTH: PLAIN admin, TLS: TLS1.2,256bits,ECDHE_RSA_AES_256_CBC_SHA1)
 by stw1.rcdrun.com with UTF8ESMTPSA
 id 000000000007E023.000000005F72CB60.00004254; Mon, 28 Sep 2020 22:51:27 -0700
Received: from localhost (localhost [127.0.0.1]) (uid 1001)
 by protected.rcdrun.com with local
 id 00000000000C2378.000000005F72CB5A.00005B89; Tue, 29 Sep 2020 07:51:22 +0200
From: Jean Louis <bugs@HIDDEN>
To: bug-hyperbole@HIDDEN
Subject: Try to solve avoiding helm-mode turned on in key series buttons
Message-ID: <courier.000000005F72CB5A.00005B89@HIDDEN>
Date: Tue, 29 Sep 2020 07:51:22 +0200
Received-SPF: pass client-ip=217.170.207.13;
 envelope-from=admin@HIDDEN; helo=stw1.rcdrun.com
X-detected-operating-system: by eggs.gnu.org: First seen = 2020/09/29 00:16:20
X-ACL-Warn: Detected OS   = Linux 2.2.x-3.x [generic] [fuzzy]
X-Spam_score_int: -16
X-Spam_score: -1.7
X-Spam_bar: -
X-Spam_report: (-1.7 / 5.0 requ) BAYES_00=-1.9,
 HEADER_FROM_DIFFERENT_DOMAINS=0.199, SPF_HELO_PASS=-0.001,
 SPF_PASS=-0.001 autolearn=no autolearn_force=no
X-Spam_action: no action
X-Spam-Score: -1.2 (-)
X-Debbugs-Envelope-To: submit
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -2.2 (--)

I have noticed that when I have {M-x helm-mode} turned on, that
majority of key series with M-x does not work: {M-x apropos RET hyperbole RET}

I think there are various completion systems, in general Emacs should
have standard variable that is recognizing if other completion system
is used or not. Maybe it has. Then such variable could be used to
programmatically fallback to Emacs standard completion, or return it
back to whatever completion system was used.

Hyperbole should recognize if disturbing completion system is used,
and it could temporarily turn it off, provide the key series and turn
on back what it was. 

I use:  Editor:      GNU Emacs 28.0.50 (build 15, x86_64-pc-linux-gnu, X toolkit, cairo version 1.14.8, Xaw3d scroll bars)

        Hyperbole:   7.1.2
        Sys Type:    x86_64-pc-linux-gnu
        OS Type:     gnu/linux
        Window Sys:  x
        News Reader: Gnus v5.13




Acknowledgement sent to Jean Louis <bugs@HIDDEN>:
New bug report received and forwarded. Copy sent to bug-hyperbole@HIDDEN. Full text available.
Report forwarded to bug-hyperbole@HIDDEN:
bug#43689; Package hyperbole. Full text available.
Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.
Last modified: Wed, 14 Oct 2020 21:15:01 UTC

GNU bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997 nCipher Corporation Ltd, 1994-97 Ian Jackson.